Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassControlAct

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassControlAct

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassControlAct

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Control Act', and utility methods for working with them. specDomain: V11534 (C-0-D11527-V13856-V11534-cpt)

See Also:
  `CDAR2Package.getActClassControlAct()`

Field Summary
`static int` | `ACTN` The 'ACTN' literal value.
`static ActClassControlAct` | `ACTN_LITERAL` The 'ACTN' literal object.
`static int` | `CACT` The 'CACT' literal value.
`static ActClassControlAct` | `CACT_LITERAL` The 'CACT' literal object.
`static int` | `INFO` The 'INFO' literal value.
`static ActClassControlAct` | `INFO_LITERAL` The 'INFO' literal object.
`static int` | `STC` The 'STC' literal value.
`static ActClassControlAct` | `STC_LITERAL` The 'STC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Control Act' enumerators.

Method Summary
`static ActClassControlAct` | `get(int value)` Returns the 'Act Class Control Act' literal with the specified integer value.
`static ActClassControlAct` | `get(java.lang.String literal)` Returns the 'Act Class Control Act' literal with the specified literal value.
`static ActClassControlAct` | `getByName(java.lang.String name)` Returns the 'Act Class Control Act' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CACT

    public static final int CACT

  The 'CACT' literal value.

  If the meaning of 'CACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CACT_LITERAL`, Constant Field Values

### ACTN

    public static final int ACTN

  The 'ACTN' literal value.

  If the meaning of 'ACTN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACTN_LITERAL`, Constant Field Values

### INFO

    public static final int INFO

  The 'INFO' literal value.

  If the meaning of 'INFO' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INFO_LITERAL`, Constant Field Values

### STC

    public static final int STC

  The 'STC' literal value.

  If the meaning of 'STC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STC_LITERAL`, Constant Field Values

### CACT_LITERAL

    public static final ActClassControlAct CACT_LITERAL

  The 'CACT' literal object.

  See Also:
    `CACT`

### ACTN_LITERAL

    public static final ActClassControlAct ACTN_LITERAL

  The 'ACTN' literal object.

  See Also:
    `ACTN`

### INFO_LITERAL

    public static final ActClassControlAct INFO_LITERAL

  The 'INFO' literal object.

  See Also:
    `INFO`

### STC_LITERAL

    public static final ActClassControlAct STC_LITERAL

  The 'STC' literal object.

  See Also:
    `STC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Control Act' enumerators.

Method Detail

### get

    public static ActClassControlAct get(java.lang.String literal)

  Returns the 'Act Class Control Act' literal with the specified literal value.

### getByName

    public static ActClassControlAct getByName(java.lang.String name)

  Returns the 'Act Class Control Act' literal with the specified name.

### get

    public static ActClassControlAct get(int value)

  Returns the 'Act Class Control Act' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD